package bst.demo;

import bst.BinarySearchTree;

import javax.swing.*;
import java.util.Comparator;

/**
 * @author akyrola
 *         Date: 3/5/12
 */
public class SplayApplet extends JApplet {

     public void init() {
                BinarySearchTree<Integer, JButton> bst = new BinarySearchTree<Integer, JButton>(new Comparator<Integer>() {
            public int compare(Integer integer, Integer integer1) {
                return integer.compareTo(integer1);
            }
        });
        for(int i=0; i<10; i++) {
            JButton button = new JButton();
            int val = 10-i; //(5+i)%10;
            button.setText(val + "");
            bst.insert(val, button);
        }

        BSTPanel bstPanel = new BSTPanel(bst);

        this.add(bstPanel);
     }
}
